Subject: Re: 'setup.exe' under Win2K Terminal Server in AS mode
From: Robert Collins <[email-masked]>
To: msg <[email-masked]>
Cc: [email-masked]
Date: 02 Aug 2003 07:36:47 +1000

On Fri, 2003-08-01 at 09:06, msg wrote:
> Greetings:
> 
> I've been running 1.3.22 for some months now on a Win2K Server running
> Terminal Services in Application Server mode for a variety of
> development
> projects and am pleased overall; however the entire installation was
> done manually for the most part due to a vast number of failures
> of the 'setup.exe' process compounded by slow dial-up access to the
> 'net.  I won't elaborate on these issues in this message nor post
> a 'cygcheck' output at this time; my intent here is to inquire whether
> the maintainers have considered the implications of the install process
> on a Win2K Server running TS in AS mode. 

Yep, and the answer is: 'best of luck', combined with 'you're on your
own', and 'patches appreciated'.

> Apps should be installed
> using 'Control Panel' to permit proper registry and user profile mapping
> mechanisms to work, and apps should be TS aware in order to
> avoid a variety of problems during install and multiuser use. 

'Should be'. Not to be nasty, but here's how open source works:
I scratch my itchs, and occasionally those I'm curious about.... Unless
one of the following occurs:
* I want to install cygwin on a TS/AS server.
* Someone hands me a (small) bucket of money.
* Someone contributes a reasonable quality patch for TS/AS support to
setup.exe.

... setup won't 'automatically' support the TS/AS requirements.

That said, running change user /install before you run setup, and change
user /execute after installing should work for an 'all users' install of
cygwin.

Cheers,
Rob

-- 
GPG key available at: http://members.aardvark.net.au/lifeless/keys.txt.
---